Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QObjectListIterator Class Reference

The QObjectListIterator class provides an iterator for QObjectLists. More...

`#include <qobjectlist.h>`

Inherits QPtrListIterator<QObject>.

List of all member functions.

## Public Members

- QObjectListIterator ( const QObjectList & list )
- QObjectListIterator & operator= ( const QObjectListIterator & it )

## Detailed Description

The QObjectListIterator class provides an iterator for QObjectLists.

A QObjectListIterator iterator is a QPtrListIterator<QObject>.

See QObject::queryList() for an example of use.

See also QObjectList, Collection Classes, and Non-GUI Classes.

## Member Function Documentation

### QObjectListIterator::QObjectListIterator ( const QObjectList & list )

Constructs an iterator for list. The current iterator item is set to point on the first item in the list.

### QObjectListIterator & QObjectListIterator::operator= ( const QObjectListIterator & it )

Assignment. Makes a copy of the iterator it and returns a reference to this iterator.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.